This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 50615 - 7.1 install hangs on Load of AIC-7XXX
7.1 install hangs on Load of AIC-7XXX
Status: CLOSED DEFERRED
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
high Severity high
: ---
: ---
Assigned To: Doug Ledford
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-01 13:16 EDT by JC
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-23 18:52:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description JC 2001-08-01 13:16:22 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98)

Description of problem:
I am trying to install 7.1 on an IBM eServer X340 (A RH Supported 
platform) with the adaptec AIC-7899G SCSI Controller.  The installer hangs 
upon the load of the device AIC-7XXX.  On the other screens I see 
scrolling messages regarding a SCSI timeout.  The scrolling never 
stops.....I have tried a boot disk posted for 440 motherboards (x340 is 
not one, but worth a shot).  I also tried the noprobe method, that didn't 
work either. 

How reproducible:
Always

Steps to Reproduce:
1.  Try to install RH7.1 from CD.
2.
3.
	

Actual Results:  System hangs

Expected Results:  It should let me install!

Additional info:
Comment 1 Matt Wilson 2001-08-01 15:21:01 EDT
see http://www.redhat.com/support/docs/gotchas/7.1/gotchas-71.html for the
workaround
Comment 2 Brent Fox 2001-08-02 13:41:59 EDT
An email received from Jeff Claunch:

Date: Thu, 2 Aug 2001 12:39:47 -0500
From: "Jeff Claunch" <jclaunch@nccsun2.ncc.ag.gov>
Subject: Re: [Bug 50615] Changed - 7.1 install hangs on Load of AIC-7XXX
To: <bfox@redhat.com>, <borgan@redhat.com>
X-Mailer: Microsoft Outlook Express 5.00.2314.1300

This is not the solution to this bug.  This is not working.  The AIC driver
still does NOT load after I used that boot disk that you just pointed me
too, as I stated in my original message.  Please reopen.


----- Original Message -----
From: <bugzilla@redhat.com>
To: <bfox@redhat.com>; <jclaunch@nccsun2.ncc.ag.gov>; <borgan@redhat.com>
Sent: Wednesday, August 01, 2001 2:19 PM
Subject: [Bug 50615] Changed - 7.1 install hangs on Load of AIC-7XXX


> Please do not reply directly to this email. All additional
> comments should be made in the comments box of this bug
> report.
>
> https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=50615
>
> --- shadow/50615 Wed Aug  1 13:14:22 2001
> +++ shadow/50615.tmp.31452 Wed Aug  1 15:19:01 2001
> @@ -3,8 +3,8 @@
>  Version: 7.1
>  Platform: i386
>  OS/Version: Linux
> -Status: NEW
> -Resolution:
> +Status: CLOSED
> +Resolution: ERRATA
>  Severity: high
>  Priority: high
>  Component: anaconda
> @@ -40,3 +40,8 @@
>  Expected Results:  It should let me install!
>
>  Additional info:
> +
> +------- Additional comments from msw@redhat.com 2001-08-01
15:21:01 -------
> +see http://www.redhat.com/support/docs/gotchas/7.1/gotchas-71.html for
the
> +workaround
> +
Comment 3 Brent Fox 2001-08-02 13:43:24 EDT
At Jeff's request, I've reopened this bug report.  

Which boot disk did you try?
Comment 4 JC 2001-08-02 13:51:36 EDT
I tried this boot disk:  http://people.redhat.com/dledford/440gx/boot.img

Then when my system started up at "boot:" I typed: linux apic  The system began 
coming up and then it tried to load the AIC-7XXXX driver it began doing that 
reset over and over again, just as it did before.  I got no further using this 
route.  Then again, I'm not sure my box even uses the 440gx based MB.  But it 
was worth a shot.  

Like I said I've also tried booting with "linux noprobe", which boots the 
system, but then I don't really have any drives available to install on.
Comment 5 Brent Fox 2001-08-10 12:50:42 EDT
Changing component to the kernel.
Comment 6 Doug Ledford 2001-08-23 18:52:47 EDT
Have you tried booting with the "linux apic noprobe" command line and then
specifying the new aic7xxx driver instead of the old one?  (The noprobe will
keep the install code from automatically loading the aic7xxx driver, giving you
a chance to load the new one instead of the old one, and the apic option uses
the IOAPIC to route interrupts in case there is an interrupt routing problem in
UP mode without IOAPIC support)
Comment 7 JC 2001-09-04 10:36:57 EDT
Closing...gave up and installed FreeBSD.

Note You need to log in before you can comment on or make changes to this bug.